Subject: bug#15957: 24.3.50; Follow mode scrolling broken on Emacs trunk

From: Anders Lindgren <[email-masked]>
Date: Tue, 26 Nov 2013 18:03:38 +0100

YES!!!

That did the trick!

When it comes to the first patch you sent, I just realized that it do fix
another problem I've experienced (but not yet reported). When scrolling
with a simple C-v and follow-mode is enabled, the other window only
followed every second time the command was issued.

In other words, I think that both patches should be applied.

Thanks a bunch, I really appreciate it!

    -- Anders

On Tue, Nov 26, 2013 at 5:19 PM, martin rudalics <[email-masked]> wrote:

> Unfortunately, the problem is still there, as far as I can see.
>>
>
> Too bad.  And if you applied the below?
>
> martin
>
>
>
> === modified file 'src/window.c'
> --- src/window.c        2013-11-06 18:41:31 +0000
> +++ src/window.c        2013-11-26 16:14:03 +0000
> @@ -1574,6 +1574,7 @@
>    if (NILP (noforce))
>      w->force_start = 1;
>    w->update_mode_line = 1;
> +  w->window_end_valid = 0;
>    if (w != XWINDOW (selected_window))
>      /* Enforce full redisplay.  FIXME: make it more selective.  */
>      windows_or_buffers_changed = 26;
> @@ -4286,6 +4287,7 @@
>
>    else
>      window_scroll_line_based (window, n, whole, noerror);
>
> +  XWINDOW (window)->window_end_valid = 0;
>    immediate_quit = 0;
>  }
>
>
>
>
>